summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2016-02-17 12:58:15 +0100
committerFlorian Pritz <bluewind@xinu.at>2016-02-17 12:58:15 +0100
commit08a719a01cf73b6c9cd897cd51d5dcfecb81b582 (patch)
tree17841a424f4a4261624254b988b84e1190898634
parentbe183912d60e155c031506cf097774591307fc6c (diff)
downloadbin-08a719a01cf73b6c9cd897cd51d5dcfecb81b582.tar.gz
bin-08a719a01cf73b6c9cd897cd51d5dcfecb81b582.tar.xz
Add some new tools
Signed-off-by: Florian Pritz <bluewind@xinu.at>
-rwxr-xr-xalphabet4
-rwxr-xr-xcompose-mail-from-stdin4
-rwxr-xr-xmasterkey-sign.sh10
-rwxr-xr-xspotify4
4 files changed, 22 insertions, 0 deletions
diff --git a/alphabet b/alphabet
new file mode 100755
index 0000000..97d7886
--- /dev/null
+++ b/alphabet
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+echo a b c d e f g h i j k l m n o p q r s t u v w x y z
+echo 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6
diff --git a/compose-mail-from-stdin b/compose-mail-from-stdin
new file mode 100755
index 0000000..a8637f6
--- /dev/null
+++ b/compose-mail-from-stdin
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+cat | claws-mail --compose-from-file - &
+disown
diff --git a/masterkey-sign.sh b/masterkey-sign.sh
new file mode 100755
index 0000000..fba02fc
--- /dev/null
+++ b/masterkey-sign.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+
+dir=$1
+key=$2
+
+gpg --homedir "$dir" --keyserver pgp.mit.edu --quiet --recv-keys "$key"
+printf 'y\ny\n' | gpg --homedir "$dir" --command-fd 0 --batch --quiet --sign-key "$key"
+gpg --homedir "$dir" --keyserver pgp.mit.edu --send-keys "$key"
diff --git a/spotify b/spotify
new file mode 100755
index 0000000..6969b03
--- /dev/null
+++ b/spotify
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+wmctrl -xR spotify.Spotify || /usr/bin/spotify
+